Bug 1483664 - rsyslogd-2040: fatal error on disk queue 'action 1 queue[DA]'
Summary: rsyslogd-2040: fatal error on disk queue 'action 1 queue[DA]'
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rsyslog
Version: 7.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jiří Vymazal
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-21 16:33 UTC by SHAURYA
Modified: 2021-03-11 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-02 08:52:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 868 0 None None None 2020-08-09 15:13:32 UTC

Description SHAURYA 2017-08-21 16:33:20 UTC
Description of problem:

Consistently seeing these error messages in /var/log/messages-

rsyslogd-2040: fatal error on disk queue 'action 1 queue[DA]', emergency switch to direct mode [try http://www.rsyslog.com/e/2040 ]

Version-Release number of selected component (if applicable):

rsyslog-8.24.0-12.el7.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Install rsyslog
2. Make the queue corrupt under /var/lib/rsyslog/*.qi

Actual results:

Cryptic error message

Expected results:

Should give more detailed error message

Additional info:

On github


Note You need to log in before you can comment on or make changes to this bug.